sysdecode_socket_protocol(3)

NAME
sysdecode_socket_protocol - lookup name of socket protocol

LIBRARY
libsysdecode

SYNOPSIS
#include <sysdecode.h>
const char *
sysdecode_socket_protocol(int domain, int protocol);

DESCRIPTION
The sysdecode_socket_protocol() function returns a text description of the protocol passed in the protocol argument to socket(2). sysdecode_socket_protocol() takes the protocol as well as the domain to uniquely identify the protocol.